LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
TimeIncrement Struct Referencepublished

A TimeIncrement describes how tickmarks are positioned on the scale of a date-time axis. More...

`import"TimeIncrement.idl";`

## Public Attributes
any | MajorTimeInterval
| if the any contains a struct of type com::sun::star::chart::TimeInterval this is used as a fixed distance value for the major tickmarks. More...
any | MinorTimeInterval
| if the any contains a struct of type com::sun::star::chart::TimeInterval this is used as a fixed distance value for the minor tickmarks. More...
any | TimeResolution
| if the any contains a constant of type com::sun::star::chart::TimeUnit this is the smallest time unit that is displayed on the date-time axis. More...

## Detailed Description

A TimeIncrement describes how tickmarks are positioned on the scale of a date-time axis.

Since
  OOo 3.4

## Member Data Documentation

any MajorTimeInterval

if the any contains a struct of type com::sun::star::chart::TimeInterval this is used as a fixed distance value for the major tickmarks.

Otherwise, if the any is empty or contains an incompatible type, the distance between major tickmarks is calculated automatically by the application.

any MinorTimeInterval

if the any contains a struct of type com::sun::star::chart::TimeInterval this is used as a fixed distance value for the minor tickmarks.

Otherwise, if the any is empty or contains an incompatible type, the distance between minor tickmarks is calculated automatically by the application.

any TimeResolution

if the any contains a constant of type com::sun::star::chart::TimeUnit this is the smallest time unit that is displayed on the date-time axis.

Otherwise, if the any is empty or contains an incompatible type, the resolution is chosen automatically by the application.

The documentation for this struct was generated from the following file:

- com/sun/star/chart/TimeIncrement.idl